<div id="ShopCreation">
    <div class="text-center pb-3">
        <h1>Creazione di un negozio</h1>
    </div>
    <div class="text-center">
        <div class="d-inline-block w-fixed">
            <b-form-group invalid-feedback="Fornire una mail valida">
                <b-form-input autocomplete="off"
                              v-model.trim="email"
                              type="email"
                              :state="this.$v.email.$model === null ? null : !this.$v.email.$invalid"
                              placeholder="Mail di amministrazione del negozio" />
            </b-form-group>
        </div>
        <div class="d-inline-block pl-2">
            <b-button id="ownerEmailTooltip" variant="outline-primary">
                <b-icon icon="question" scale="1.4" />
            </b-button>
            <b-tooltip target="ownerEmailTooltip" triggers="hover" placement="bottom">
                Verrà inviata una mail all'indirizzo inserito con una password generata automaticamente.
                Queste credenziali possono essere usate per modificare le informazioni del negozio.
            </b-tooltip>
        </div>

        <h5 class="pt-4">Immagini</h5>
        <vue-upload-multiple-image
            @upload-success="uploadImageSuccess"
            @before-remove="beforeRemove"
            @edit-image="editImage"
            :data-images="this.tempImages"
            idUpload="myIdUpload"
            editUpload="myIdEdit"
            drag-text="Trascina qui un'immagine"
            browse-text="o clicca qui"
            primary-text="copertina"
            mark-is-primary-text="secondaria"
            popup-text=""
            drop-text="Lascia pure qui!"
            class="d-flex justify-content-center mt-3 mb-3"
        />
        <b-alert class="d-inline-block w-fixed" variant="primary" show>
            Queste immagini saranno visibili nella pagina di presentazione del negozio
        </b-alert>

        <b-container class="pt-4">
            <shop-form v-model="shop" @userInput="userInput"ok/>
        </b-container>

        <b-button variant="success"
                  @click="createShop"
                  :disabled="buttonDisabled"
                  style="height: 4rem; width: 10rem;"
                  class="shadowOnHover shadow mb-5 mt-4">
            Crea
        </b-button>
    </div>
</div>
